VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::appliance::recovery::restore::JobTypes::ReturnStatus Class Reference

`Job.ReturnStatus` enumerated type Defines the state of precheck More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, FAIL, WARNING, OK }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static ReturnStatus[] | GetValues ()
static ReturnStatus | ValueOf (string name)
## Static Public Attributes
static readonly ReturnStatus | FAIL = new ReturnStatus("FAIL", Values.FAIL)
| Check failed.
static readonly ReturnStatus | WARNING = new ReturnStatus("WARNING", Values.WARNING)
| Passed with warnings.
static readonly ReturnStatus | OK = new ReturnStatus("OK", Values.OK)
| Check passed.

## Detailed Description

`Job.ReturnStatus` enumerated type Defines the state of precheck

## Member Enumeration Documentation

enum vmware::appliance::recovery::restore::JobTypes::ReturnStatus::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  FAIL | Check failed.
  WARNING | Passed with warnings.
  OK | Check passed.

## Member Function Documentation

Values vmware::appliance::recovery::restore::JobTypes::ReturnStatus::GetEnumValue | ( |  | ) | `[inline]`

static ReturnStatus [] vmware::appliance::recovery::restore::JobTypes::ReturnStatus::GetValues | ( |  | ) | `[inline, static]`

bool vmware::appliance::recovery::restore::JobTypes::ReturnStatus::IsUnknown | ( |  | ) | `[inline]`

static ReturnStatus vmware::appliance::recovery::restore::JobTypes::ReturnStatus::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly ReturnStatus vmware::appliance::recovery::restore::JobTypes::ReturnStatus::FAIL = new ReturnStatus("FAIL", Values.FAIL)`[static]`

Check failed.

readonly ReturnStatus vmware::appliance::recovery::restore::JobTypes::ReturnStatus::OK = new ReturnStatus("OK", Values.OK)`[static]`

Check passed.

readonly ReturnStatus vmware::appliance::recovery::restore::JobTypes::ReturnStatus::WARNING = new ReturnStatus("WARNING", Values.WARNING)`[static]`

Passed with warnings.

The documentation for this class was generated from the following file:

- restore/JobTypes.cs